Bug 969597 - Lots of references to 'cryptsetup-luks' should probably just be 'cryptsetup'
Lots of references to 'cryptsetup-luks' should probably just be 'cryptsetup'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
All All
unspecified Severity low
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 17:14 EDT by Adam Williamson
Modified: 2015-05-29 12:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 12:06:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-05-31 17:14:30 EDT
blivet code has the 'cryptsetup-luks' package in it quite a lot:

[adamw@adam blivet (master %)]$ grep -R cryptsetup-luks *
blivet/devices.py:    _packages = ["cryptsetup-luks"]
blivet/formats/luks.py:    _packages = ["cryptsetup-luks"]     # required packages
python-blivet.spec:Requires: cryptsetup-luks
updates/run/install/updates/blivet/devices.py:    _packages = ["cryptsetup-luks"]

there isn't actually a cryptsetup-luks package any more, though. It got consolidated into cryptsetup, and cryptsetup now Provides: cryptsetup-luks .

So it'd be cleaner for blivet just to list 'cryptsetup' rather than 'cryptsetup-luks' - in theory the Provides: cryptsetup-luks might go away at some point, and it would also be clearer for people looking at the code and wondering why comps lists 'cryptsetup' instead of 'cryptsetup-luks', to give a COMPLETELY RANDOM EXAMPLE :)
Comment 1 Fedora End Of Life 2013-09-16 10:03:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 mulhern 2013-11-08 14:11:30 EST
Pushed to master.
Comment 3 Fedora End Of Life 2015-05-29 05:05:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.